Bug Hunting Session
Bug 100855 - If the document's text is selected, choices to set the "whole document" 's spellchecking language are not the same
Summary: If the document's text is selected, choices to set the "whole document" 's sp...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Statusbar
  Show dependency treegraph
 
Reported: 2016-07-11 18:34 UTC by Jean-François Fortin Tam
Modified: 2018-08-18 22:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
demonstration of the problem (816.22 KB, video/webm)
2016-07-11 18:34 UTC, Jean-François Fortin Tam
Details
demonstration of the problem with a fresh document (622.35 KB, video/webm)
2016-07-17 12:08 UTC, Jean-François Fortin Tam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2016-07-11 18:34:41 UTC
Created attachment 126171 [details]
demonstration of the problem

My system's locale is fr_CA.UTF8 (French Canadian).

In Writer, if I select text before going into "Tools > Language > For entire text", there will be no menu entry for "English (U.S.A.)", only French (Canada) and French (France).

However, if I don't select anything, "English (U.S.A.)" magically appears in the available choices.

See the attached screencast with the latest LibreOffice.
Comment 1 Buovjaga 2016-07-17 09:23:10 UTC
Not reproduced with Finnish or English text.

Is this only in the .docx seen in the video or with a fresh document as well?

64-bit, KDE Plasma 5
Build ID: 5.1.4.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 Jean-François Fortin Tam 2016-07-17 12:00:24 UTC
Yes, this happens with a fresh document too. The thing is that LibreOffice tries to be "smart" and to autodetect the language of the contents the user has selected, which is precisely what I don't want.
Comment 3 Jean-François Fortin Tam 2016-07-17 12:08:41 UTC
Created attachment 126248 [details]
demonstration of the problem with a fresh document

In this video with a "fresh" document you see the opposite problem: I type random gibberish and LibreOffice interprets that as "Breton" (from Brittany), changing the menu options depending on that detection. It could have been any language, and normal texts can have words from multiple languages at once, throwing off the autodetection anyway.

I think it would be simpler if it didn't change the results based on what it thinks the language is, and rather prompts the user to pick the language directly with a dedicated dialog, as suggested in bug #100856
Comment 4 Thomas Hackert 2016-07-20 16:07:07 UTC
Hello Jean-Francois, *,
I can confirm your bug with

OS: Debian Testing AMD64
LO: Version: 5.1.4.2
Build-ID: 1:5.1.4~rc2-2
CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: GL; 
Gebietsschema: de-DE (de_DE.UTF-8)
(Debian's own version)

as well as with

LO: Version: 5.2.0.2
Build-ID: a7567a46e5d2953c320b13eb88a3981c4f9bd1e0
CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8)
(parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux)

... :(

Steps to reproduce:
1. enter blindtext in your language ("bt"+<F3> for German)
2. enter one or two lines in English (e.g. "If there are too many errors in a text, the author should be tarred and feathered." and/or "Live is a b* and then you die."
3. Enter a new line with a different language (say "Ik ben blij met uw kennis te maken" in hopefully correct Dutch ... ;) ).
4. Press <Ctrl>+<A> to mark the whole text.
5. Go to "Tools - Languages - For entire text"

Interestingly, both versions show "German (Germany)" and Dutch (Netherlands), but not English as possible languages ... :(
@ll: if you want to test it with a German sentence, you can maybe use something like "Max Mustermann wohnt in der Musterstraße 1 in Musterstadt." or "Herzlich Willkommen in unserer Stadt." or so ... ;)

As I can confirm it, I will change the status to "New"
HTH
Thomas.
Comment 5 QA Administrators 2017-09-01 11:18:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901